/* Copyright (c) 2006 CNRS/LAAS
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */
#ifndef _rfidSTRUCT_H
#define _rfidSTRUCT_H

#include "rfidConst.h"
#include "/usr/local/openrobots/src/modules/pom/pomStruct.h"


typedef struct RFID_DRIVER_PARAMS {
  char deviceName[64];
} RFID_DRIVER_PARAMS;

typedef enum RFID_POM_TAGGING {
   RFID_ENABLE_POM_TAGS,
   RFID_DISABLE_POM_TAGS,
   RFID_QUERY_TAG_METHOD

#define RFID_DEF_TAGGING		RFID_DISABLE_POM_TAGS
} RFID_POM_TAGGING;

typedef struct RFID_DISPLAY {
  int display;
  int size;
  int posx;
  int posy;
  int unused;
} RFID_DISPLAY;

typedef struct RFID_TAG
{
	char tagId[16];
	char *Tag_MEMORY;
	double angleMean;
	double angleCov;
	double distMean;
	double distCov;
	int antennas[8];
} RFID_TAG;

typedef struct RFID_TAG_LIST
{
	int nbTags;
	RFID_TAG tags[RFID_NB_MAX_TAG];
}RFID_TAG_LIST;

/*
 * Template for poster names. %s is the ID of the tag
 */
#define RFID_POSTER_NAME	"rfidTag%s"

#endif
